
using Microsoft.AspNetCore.Hosting;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using System;
using System.IO;
using System.Threading.Tasks;

namespace Cprojb.Controllers
{
    [Route("upload")]
    public partial class UploadController : Controller
    {
            [HttpPost]
            public async Task<IActionResult> UploadFile(IFormFile file)
            {
              //var normalPath = "C:\\Users\\user\\your_custom_path;
              var normalPath = Directory.GetCurrentDirectory();
              if (file == null || file.Length == 0)
                return Content("file not selected");
             var filePath = Path.Combine(
             normalPath, "upload");
 
             if (!Directory.Exists(filePath))
             {
                Directory.CreateDirectory(filePath);
             }
 
             var fileUniqueId = Guid.NewGuid().ToString().ToLower().Replace("-", string.Empty);
             var uniqueFileName = $"{fileUniqueId}_{file.FileName}";
 
             using (var fileStream = new FileStream(Path.Combine(filePath, uniqueFileName), FileMode.Create))
             {
                 await file.CopyToAsync(fileStream);
             }
 
             var result = new
             {
                UploadFileName = uniqueFileName
             };
 
             return new JsonResult(file);
             }
    }
}
